sbmsgq_s Struct Reference

## Data Fields

char * | data
size_t | depth
size_t | out
size_t | nbytes
char * | msg
size_t | msglen
pthread_mutex_t | mtx
pthread_cond_t | cond

## Detailed Description

Definition at line 371 of file sbthread.c.

## Field Documentation

## cond

pthread_cond_t sbmsgq_s::cond

Definition at line 382 of file sbthread.c.

## data

char* sbmsgq_s::data

Definition at line 373 of file sbthread.c.

## depth

size_t sbmsgq_s::depth

Definition at line 374 of file sbthread.c.

## msg

char* sbmsgq_s::msg

Definition at line 379 of file sbthread.c.

## msglen

size_t sbmsgq_s::msglen

Definition at line 380 of file sbthread.c.

## mtx

pthread_mutex_t sbmsgq_s::mtx

Definition at line 381 of file sbthread.c.

## nbytes

size_t sbmsgq_s::nbytes

Definition at line 376 of file sbthread.c.

## out

size_t sbmsgq_s::out

Definition at line 375 of file sbthread.c.

The documentation for this struct was generated from the following file:

- src/libsphinxbase/util/sbthread.c